Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Class StorageDocumentProvider.StorageInfo

    java.lang.Object
      org.eclipse.ui.texteditor.AbstractDocumentProvider.ElementInfo
          org.eclipse.ui.editors.text.StorageDocumentProvider.StorageInfo

All Implemented Interfaces:
  IDocumentListener

Direct Known Subclasses:
  FileDocumentProvider.FileInfo

Enclosing class:
  StorageDocumentProvider

protected class StorageDocumentProvider.StorageInfo
extends AbstractDocumentProvider.ElementInfo

Bundle of all required information to allow `IStorage` as underlying document resources.

Since:
  2.0

Field Summary
`String` | `fEncoding` The encoding used to create the document from the storage or `null` for workbench encoding.
`boolean` | `fIsModifiable` The flag representing the cached state whether the storage is modifiable.
`boolean` | `fIsReadOnly` The flag representing the cached state whether the storage is read-only.
`boolean` | `fUpdateCache` The flag representing the need to update the cached flag.

Fields inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider.ElementInfo
`fCanBeSaved, fCount, fDocument, fElement, fIsStateValidated, fModel, fStatus`

Constructor Summary
`StorageDocumentProvider.StorageInfo(IDocument document, IAnnotationModel model)` Creates a new storage info.

Methods inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider.ElementInfo
`documentAboutToBeChanged, documentChanged, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fIsModifiable

    public boolean fIsModifiable

  The flag representing the cached state whether the storage is modifiable.

### fIsReadOnly

    public boolean fIsReadOnly

  The flag representing the cached state whether the storage is read-only.

### fUpdateCache

    public boolean fUpdateCache

  The flag representing the need to update the cached flag.

### fEncoding

    public String fEncoding

  The encoding used to create the document from the storage or `null` for workbench encoding.

Constructor Detail

### StorageDocumentProvider.StorageInfo

    public StorageDocumentProvider.StorageInfo(IDocument document,
                                               IAnnotationModel model)

  Creates a new storage info.

Parameters:
  `document` - the document
  `model` - the annotation model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.